class GraphicsFilesForRequest
  attr_reader :start_timecode_offset

  def initialize(video, start_timecode_offset)
    @video = video
    @start_timecode_offset = start_timecode_offset
  end

  def file_object_name
    video.file.key if video.file.attached?
  end

  def edl_file_object_name
    video.graphics_only_edl_file.key if video.graphics_only_edl_file.attached?
  end

  def aws_bucket_name
    ENV["AWS_BUCKET"]
  end

  def job_id
    video.analysis_uid
  end

  private

  attr_reader :video
end
